Back to Blog

QuickBooks and Internet Explorer

     

Did you know?

Recently Intuit has discontinued support for all Internet Explorer versions below 11 in QuickBooks. What does this mean to you? If you are running Windows XP, Vista, 8, or Server 2012 as your operating system, Internet Explorer 11 is not compatible with those operating systems and you will need to update your operating system to Windows 7, 8.1, 10, or Server 2012 R2.

If you are running Windows 8.1 or 10 you already have Internet Explorer 11 and don't have to worry. If you are running Windows 7 or Server 2012 R2 you will need to ensure you have Internet Explorer 11 installed and you can download it here:
http://windows.microsoft.com/en-us/internet-explorer/download-ie

If your QuickBooks is hosted by gotomyerp, you have nothing to worry about as our systems are up to date and ready to go.

Does all this sound like something you would rather not have to concern yourself with? Then why are you still managing your own QuickBooks Desktop? Let us do that for you, call (877) 888-5525 and speak with our ERP Experts. Get immediate answers to your questions about cloud hosting.

For more information from Intuit, please click here.

 

intuit quickbooks          internet explorer

 

Comments